PHP K�sikirja
Edellinen |  | Seuraava

# SoapClient->__getLastRequest()

SoapClient->__getLastRequest() -- Returns last SOAP request

## Description

class SoapClient {
string __getLastRequest ( void )
}

> Huomaa: This method works only if the SoapClient object was created with the trace option.

## Return values

The last SOAP request.

## Examples

Esimerkki 1. SoapClient->__getLastRequest() example

`<?php $client = SoapClient("some.wsdl", array('trace' => 1)); $result = $client->SomeFunction(); echo "REQUEST:\n" . $client->__getLastRequest() . "\n"; ?>`

## See Also

SoapClient->__construct()
SoapClient->__getLastRequestHeaders()
SoapClient->__getLastResponse()
SoapClient->__getLastResponseHeaders()

Edellinen | Alkuun | Seuraava
SoapClient->__getFunctions() | Ylös | SoapClient->__getLastRequestHeaders()